Summary:	An X Window System tool for drawing basic vector graphics
Name:		xfig
Version:	3.2.5b
Release:	%mkrel 1
License:	MIT
Group:		Graphics
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	imake
BuildRequires:  pkgconfig(xi)
BuildRequires:	pkgconfig(xp)
URL:		http://www.xfig.org/
Source0:	http://files.xfig.org/%{name}.%{version}.full.tar.xz
Source1:	xfig.png
Source3:	xfig-mini.png
Source4:	xfig-large.png
Patch0:		Imakefile.3.2.5b.patch
Patch1: 	xfig.3.2.5b-readers.patch
Patch2: 	xfig.3.2.5b-resources.patch
Patch3:		xfig-format-string.patch
Patch4:		xfig.3.2.5b-CVE-2009-4227,4228.diff
Patch5:		xfig.3.2.5b-CVE-2010-4262.diff
Patch6:		xfig-3.2.5b-libpng-1.5.patch
Requires:	transfig >= 3.2.5a
Requires:	xdg-utils, hunspell
Requires:	netpbm

%description
Xfig is an X Window System tool for creating basic vector graphics,
including bezier curves, lines, rulers and more.  The resulting
graphics can be saved, printed on PostScript printers or converted to
a variety of other formats (e.g., X11 bitmaps, Encapsulated
PostScript, LaTeX).

You should install xfig if you need a simple program to create vector
graphics.

%prep
%setup -q -n %{name}.%{version}
# fix perms
find -type d | xargs chmod 755

%apply_patches

%build
find Libraries -type d -exec chmod 700 {} \;

xmkmf
#perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
#perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile

%ifarch alpha
find -name Makefile | xargs perl -pi -e "s|-O2||g"
%endif

%make CDEBUGFLAGS="$RPM_OPT_FLAGS -fno-strength-reduce -fno-strict-aliasing"

%install

# Hack around an ugly problem for now. --Geoff
%__mkdir -p Doc/Doc
%__cp -f Doc/xfig.man Doc/Doc/xfig.man
%__make DESTDIR=%{buildroot} install install.man install.libs install.doc

# Fix for mdv#42629:
find %{buildroot}/usr/lib/X11/%{name}/Libraries -type d -exec chmod 755 {} \;
find %{buildroot}/usr/lib/X11/%{name}/Libraries -type f -exec chmod 644 {} \;
find %{buildroot}%{_docdir}/%{name}/html -type d -exec chmod 755 {} \;
find %{buildroot}%{_docdir}/%{name}/html -type f -exec chmod 644 {} \;

%__install -m 755 -d %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=XFig
Comment=Vector Graphics Drawing Tool
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;VectorGraphics;
EOF

chmod 644 %{buildroot}%{_datadir}/applications/%{name}.desktop

# Discard zero-length file:
%__rm -f %{buildroot}%{_docdir}/%{name}/html/images/sav1a0.tmp

%__install -m 644 CHANGES README Doc/FORMAT* Doc/TODO Doc/%{name}-howto.* Fig-color.ad %{buildroot}%{_docdir}/%{name}

# (fg) 10000918 Icons
%__install -m 755 -d %{buildroot}%{_iconsdir}/{mini,large}
%__install -m 644 %{SOURCE1} %{buildroot}%{_iconsdir}
%__install -m 644 %{SOURCE3} %{buildroot}%{_miconsdir}/%{name}.png
%__install -m 644 %{SOURCE4} %{buildroot}%{_liconsdir}/%{name}.png
%__rm -f %buildroot%_prefix/lib/X11/app-defaults

# Install alternative colour scheme:
%__install -m644 Fig-color.bisque.ad %{buildroot}%{_sysconfdir}/X11/app-defaults/Fig-color

%files
%config(noreplace) %{_sysconfdir}/X11/app-defaults/*
%docdir %{_docdir}/%{name}
%{_docdir}/%{name}
%{_bindir}/*
%{_prefix}/lib/X11/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Sun Sep 23 2018 tex -3.2.5b-1pclos2019
- add to repo
